/*
 * 乐一番官网公共样式文件
 * @author: zhuzl<me@zhuzhilong.com>
 * @date: 2025-05-10 16:50:24
 */

/* 公共样式 */
:root {
  --primary-color: #FF374D;
  --primary-color-light: #FFC7CE;
  --primary-color-dark:#C80000;
  --text-color-dark: #222;
  --text-color-normal:#666;
  --text-color-light: #999;
}
body {
  font-family: "PingFang SC","Helvetica Neue",Helvetica,"Hiragino Sans GB","Microsoft YaHei","微软雅黑",Arial,sans-serif;
  font-size: 14px;
  background-color: #fff;
}
a, a:hover {
  text-decoration: none;
}
img {
  max-width: 100%;
  object-fit: cover;
}
.font-size-12 {
  font-size: 12px;
}
.container {
  max-width: 1440px;
}
.container-xxl {
  max-width: 1920px;
}
.container-full {
  max-width: 1920px;
}
.friendshipLinks {
  box-sizing: border-box;
  height: 60px;
  weight:100px
  font-family: 苹方-简;
  font-size: 14px;
  display: flex;
  color: #aaaaaa;
  gap: 8px;
  padding: 20px 0px;
  margin-bottom: 80px;
}
.friendshipLinks a {
  transition: color 0.3s ease;
  color: #aaaaaa;
}
.friendshipLinks a:hover {
  color: var(--primary-color);
  text-decoration: underline;
}
.delimiter{
  width: 14px;
height: 20px;
}
.paylist {
  width: 100%;
  height: 84px;
  display: flex;
  flex-direction: column;
  padding: 0px;
  gap: 16px;
  padding: 16px;
  border-width: 1px 0px 0px 0px;
  border-style: solid;
  border-color: #555555;
  margin-top: 73px;
}
.paylist-item {
  /* 自动布局 */
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 0px;
  gap: 24px;
}
.item-img {
  height: 32px;
}
.paylist-text {
  font-family: 苹方-简;
  font-size: 12px;
  font-weight: normal;
  line-height: 18px;
  text-align: center;
  letter-spacing: 0px;
  color: #aaaaaa;
}
.last-text {
  margin-top: 16px;
}
.color-primary {
  color: var(--primary-color);
}
.btn.btn-primary {
  padding: 16px 32px;
  font-size: 16px;
  line-height: 16px;
  font-weight: 600;
  background-color: #F74054;
  border: none;
  border-radius: 8px;
}
.btn.btn-primary:hover,.btn.btn-primary:active {
  background-color: var(--primary-color-dark)!important;
}
.btn.btn-primary:focus {
  box-shadow: 0 0 0 0.2rem rgba(255, 55, 77, 0.5);
}

.text-truncate-line2 {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.text-truncate-line3 {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

.position-relative {
  position: relative;
}
.position-absolute {
  position: absolute;
}
.overflow-hide {
  overflow: hidden;
  position: relative;
  z-index: 0
}

.scale-img .bg-img {
  transition: all 0.5s ease-in-out;
  position: absolute;
  height: 100%;
  width: 100%;
  left: 0;
  top: 0
}

.scale-img:hover .bg-img {
  transform: scale(1.05);
}

.scale-img img {
  transition: all 0.5s ease;
}

.scale-img:hover img {
  transform: scale(1.05);
}

.scale-img:hover img.no-scale-img {
  transform: scale(1);
}
.bg-img img{
  display: block !important;
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  left: 0;
  top: 0;
}

/* 确认登出弹窗打开时页面的遮罩 */
.logout-model.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

/* 确认登出模态框 */
.logout-modal {
    background: white;
    padding: 18px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    width: 300px;
    position: relative;
    z-index: 1001;
    border-radius: 14px;
}
.logout-close-btn {
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 10px;
}
.logout-modal-content {
    text-align: left;
}
.logout-modal-title {
    margin: 0 0 6px;
    font-family: PingFang SC;
    font-size: 18px;
    font-weight: 500;
    line-height: 18px;
    letter-spacing: normal;
    color: #333333;
}

.logout-modal-text {
    margin: 36px;
    font-size: 16px;
    color: #333333;
    text-align: center;
    font-family: PingFang SC;
    font-weight: normal;
    line-height: 16px;
    letter-spacing: normal;
}

.logout-modal-button-container {
  display: flex;
  gap: 13px;
}

.logout-modal-cancel-btn {
    cursor: pointer;
    width: 127px;
    height: 36px;
    border-radius: 18px;
    background: #EEEEEE;
    color: #333333;
    border-width: 0;
}

.logout-modal-comfirm-btn {
    cursor: pointer;
    width: 127px;
    height: 36px;
    border-radius: 18px;
    background: #FF374D;
    color: #ffffff;
    border-width: 0;
}

.common-header  {
  position: sticky;
  top: 0;
  z-index: 1050;
}
.common-header .navbar {
  background: linear-gradient(180deg, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0.05) 91%, rgba(0, 0, 0, 0) 100%);
}

.common-header .logo {
  width: 128px;
  height: 20px;
  display: none;
  /* filter: brightness(5) */
}
.common-header .logo.logo-default {
  display: block;
}
.common-header .logo.logo-active {
  display: none;
}
.common-header .navbar-nav .nav-item .nav-link {
  font-size: 16px;
  color:#fff;
  text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.3);
  padding-left: 12px;
  padding-right: 12px;
}
.common-header .navbar-nav .nav-item.active {
  /* content: "";
  width: 24px;
  height: 10px;; */
  background: url(../img/nav-current.svg) bottom center no-repeat;
}
.common-header .navbar-nav .dropdown-menu {
  position: absolute;
  border: 0;
  border-radius: 16px;
  min-width: 152px;
}
.common-header .navbar-nav .dropdown-menu.i18n-menu {
  margin-top: 8px;
  padding: 16px;
  min-width: 128px;
  box-shadow: 0px 2px 16px 0px rgba(0, 0, 0, 0.1);
}
.dropdown-menu.i18n-menu .dropdown-item.active,.dropdown-menu.i18n-menu .dropdown-item:active {
  background-color: var(--primary-color)!important;
}
.common-header .navbar-nav .dropdown-menu.i18n-menu::before {
  content: '';
  position: absolute;
  width: 16px;
  height: 16px;
  background: #FFF;
  top: -8px;
  right: 27px;
  transform: rotate(45deg);
  /* box-shadow: 0px 2px 16px 0px rgba(0, 0, 0, 0.1); */
}
.common-header .navbar-nav .dropdown-menu.i18n-menu .dropdown-item {
  padding: 12px 16px;
  border-radius: 8px;
  font-size: 16px;
  line-height: 1;
}
.common-header .navbar-nav .dropdown-menu.i18n-menu .dropdown-item:hover {
  background-color: #F5F5F5;
}
.common-header .navbar-nav .dropdown-menu.i18n-menu .dropdown-item:not(:last-child) {
  margin-bottom: 8px;
}
.common-header .language-wrap, .common-header .logined-wrap {
  display: flex;
  align-items: center;
}
.common-header .header-icon-i18n {
  width: 32px;
  height: 32px;
  display: inline-block;
  background: url(../img/icon-i18n-0.png) center center/contain no-repeat;
}
.common-header .header-icon-user {
  width: 32px;
  height: 32px;
  display: inline-block;
  background: url(../img/avatar.png) center center/contain no-repeat;
  border-radius: 50%;
  object-fit: cover;  
}
.common-header .header-icon-arrow-down {
  width: 32px;
  height: 32px;
  display: inline-block;
  background: url(../img/icon-arrow-down-0.png) center center/contain no-repeat;
}
.i18n-label {
  font-size:14px;
  text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.3);
}
.nav-item-jptime {
  font-size: 14px;
  color:#fff;
  text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.3);
  display: flex;
  align-items: center;
  margin-right: 20px;
}
.header-icon-jptime {
  width: 32px;
  height: 32px;
  display: inline-block;
  background: url(../img/icon-jptime-0.png) center center/contain no-repeat;
}

.nav-item-login  a.nav-link{
  border-radius: 8px;
  padding: 8px 12px;
  font-size: 14px;
  line-height: 1;
  background: rgba(255, 255, 255, 0.4);
  backdrop-filter: blur(10px);
  box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.2);
}
.nav-item-login i.lyf-user {
  display: none;
}
.nav-item-login .nav-link span {
  font-size: 14px;
}
.logined-menu {
  padding: 12px 16px;
  max-width: 300px;
}
.logined-menu .dropdown-item {
  display: flex;
  align-items: center;
  padding: 12px 8px;
  border-radius: 8px;
}
.logined-menu .dropdown-item:hover {
  background-color: #F5F5F5;
}
.logined-menu .dropdown-item.active,.logined-menu .dropdown-item:active {
  background-color: var(--primary-color);
}
.logined-menu .dropdown-item.active .text-wrap,.logined-menu .dropdown-item:active .text-wrap {
  color: #FFFFFF;
}
.logined-menu .img-wrap {
  width: 24px;
  height: 24px;
  border-radius: 50%;
  object-fit: cover;
}
.logined-menu .img-wrap img {
  width: 100%;
}
.logined-menu .text-wrap {
  color: #222;
  font-size: 16px;
  line-height: 1;
  margin-left: 12px;
  white-space: nowrap !important;
}
.logined-menu .dropdown-item:first-child {
  margin-bottom: 8px;
}

.sub-nav-wrap {
  background: #fff url(../img/common-nav-bg.png) bottom center no-repeat;
  position: absolute;
  top: 56px;
  left: 0;
  width: 100%;
  box-sizing: border-box;
  max-height: 552px;
  padding: 40px 0;
  display: none;
}
.sub-menu-list{
  display: none;
  flex-direction: row;
  align-items: flex-start;
}
.sub-menu-list.active {
  display: flex;
}

.sub-menu-item {
  flex: 1;
}
.sub-menu-item:not(:first-child) {
  margin-left: 120px;
}
.sub-menu-item h3 {
  font-size: 18px;
  font-weight: 500;
  line-height: 18px;
  color: var(--text-color-dark);
  margin-bottom: 23px;
  padding-bottom: 16px;
  border-bottom: 1px solid #EEEEEE;
}
.sub-menu-item h3 a {
  color: inherit;
}
.sub-menu-group {
  max-height: 450px;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 40px;
}
.sub-menu-item h4{
  font-size: 16px;
  font-weight: 500;
  color: #333;
  margin-bottom: 24px;

}
.sub-menu-links {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.sub-menu-links a{
  color: #666666;
  font-size: 14px;
}
.sub-menu-links a:hover,.sub-menu-item h3 a:hover {
  color: var(--primary-color);
}



/* 右侧悬停按钮 */
.common-sidebar-wrapper {
  position: fixed;
  right: 22px;
  bottom: 160px;
  z-index: 998;
  padding: 2px;
}
.common-sidebar-wrapper .common-sidebar-links {
  display: flex;
  flex-direction: column;
  padding: 24px 0;
  width: 64px;
  border-radius: 40px;
  background: rgba(255, 255, 255, 0.8);
  backdrop-filter: blur(20px);
  box-shadow: 0px 2px 16px 0px rgba(0, 0, 0, 0.1);
  gap: 24px;
}
.common-sidebar-wrapper .common-sidebar-link-item {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.sidebar-item-icon {
  width: 32px;
  height: 32px;
}
.sidebar-item-label {
  color:#333;
  font-size: 12px;
}

.sidebar-to-top {
  display: none;
  margin-top: 24px;
  width: 64px;
  height: 64px;
  border-radius: 40px;
  cursor: pointer;
  /* display: flex; */
  align-items: center;
  justify-content: center;
  background: rgba(255, 255, 255, 0.8);
  backdrop-filter: blur(20px);
  box-shadow: 0px 2px 16px 0px rgba(0, 0, 0, 0.1);
}
.scroll-active .sidebar-to-top, .page-no-top-banner .sidebar-to-top {
  display: flex;
}
.sidebar-to-top .to-top-icon img {
  width: 32px;
}
/* 滚动到非顶部状态时添加一些特殊样式 */
.scroll-active .common-header .navbar, .page-no-top-banner .common-header .navbar{
  background: rgba(255, 255, 255, 0.5);
  backdrop-filter: blur(40px);
}
.scroll-active .common-header .logo.logo-default, .common-header.hover-active .logo.logo-default,.page-no-top-banner .common-header .logo.logo-default {
  display: none;
}
.scroll-active .common-header .logo.logo-active, .common-header.hover-active .logo.logo-active,.page-no-top-banner .common-header .logo.logo-active {
  display: block;
}
.common-header.hover-active .navbar {
  background: #fff;
}
.common-header.hover-active .navbar .nav-link,
.scroll-active .common-header .navbar .nav-link,
.page-no-top-banner .common-header .navbar .nav-link,
.common-header.hover-active .navbar .i18n-label,
.scroll-active .common-header .i18n-label,
.scroll-active .common-header .lyf-i18n,
.page-no-top-banner .common-header .i18n-label,
.page-no-top-banner .common-header .lyf-i18n,
.common-header.hover-active .navbar .nav-item-jptime,
.scroll-active .common-header .nav-item-jptime ,
.page-no-top-banner .common-header .nav-item-jptime {
  color: #222222;
  text-shadow:none;
}
.scroll-active .nav-item-login .nav-link, .page-no-top-banner .nav-item-login .nav-link {
  color:var(--text-color-dark);
  box-shadow: none;
}
.common-header.hover-active .header-icon-jptime,
.scroll-active .common-header .header-icon-jptime {
  background-image: url(../img/icon-jptime-1.png);
}
.common-header.hover-active .header-icon-i18n,
.scroll-active .common-header .header-icon-i18n {
  background-image: url(../img/icon-i18n-1.png);
}
.common-header.hover-active  .header-icon-arrow-down,
.scroll-active .common-header .header-icon-arrow-down {
  background-image: url(../img/icon-arrow-down-1.png);
}

/* 公共底部样式 */
.common-footer {
  background-color: var(--text-color-dark);
  padding: 0 0 100px 0;
  color:#fff;
}
.common-footer h3 {
  font-size: 16px;
  font-weight: 600;
}
.common-links {
  display: flex;
  justify-content: space-between;

}
.common-link-item {
  margin-right: 100px;
}
.common-link-item h4 {
  margin-bottom: 48px;
  font-size: 16px;
  font-weight: 600;
  color:#fff;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
 .common-link-item .lyf-arrow-down{
  display: none;
}
.common-link-list {
  display: flex;
  flex-direction: column;
}
.common-link-list a {
  color: #aaa;
  margin-bottom: 32px;
}
.common-link-list a:hover {
  color: var(--primary-color);
}
.common-service h4{
  font-size: 16px;
  font-weight: 600;
  color: #FFFFFF;
  margin-bottom: 0px;
}
.service-content-wrap .btn {
  font-size: 16px;
  font-weight: 600;
  color: #fff;
  padding: 8px 32px;
  border-radius: 20px;
  background-color: var(--primary-color);
  margin: 32px 0 20px;
}
.service-content-wrap .btn:hover {
  background-color:var(--primary-color-dark);
}
.service-content-wrap p {
  color: #AAAAAA;
  font-size: 14px;
  margin-bottom: 32px;
}
.social-links {
  display: flex;
  align-items: center;
  justify-content: space-between;

}
.social-link-item {
  display: flex;
  width: 40px;
  height: 40px;
  background: #666666;
  border-radius: 50%;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  color: #FFF;
}
.social-links .lyfFont {
  color: #fff;
}
.social-link-item:hover {
  background-color: #444;
}
.social-link-item i{
  font-size: 22px;
}

.common-qrcode {
  text-align: center;
}
.common-qrcode img {
  border-radius: 8px;
  margin-bottom: 16px;
}
/* start of nav */

.slideInUp {
  animation-name: slideInUp;
}
@keyframes slideInUp {
  from {
    transform: translate3d(0, 100%, 0);
    visibility: visible;
    opacity: 0; /* 开始时透明 */
  }

  to {
    transform: translate3d(0, 0, 0);
    opacity: 1; /* 结束时完全不透明 */
  }
}

@media screen and (max-width: 1100px) {
  .nav-item-login a.nav-link {
    padding: 0!important;
    background: transparent;
    box-shadow:none;
    backdrop-filter: none;
  }
  .common-header .navbar-nav {
    display:none;
    flex-direction: row;
    justify-content: flex-end;
  }
  .common-header .navbar-nav .dropdown-menu {
    position: absolute;
  }
  .common-header .navbar-collapse {
    flex-basis: 0
  }
  .nav-item-login span {
    display: none;
  }
  .nav-item-login i.lyf-user {
    display: block;
    font-size: 24px;
    text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.3);
  }
  .common-footer {
    padding: 48px 0;
  }
  .common-footer .d-flex,.common-footer .common-links {
    flex-direction: column;
  }
  .common-link-item {
    margin-right: 0;
    border-bottom: solid 1px #666666;
    margin-bottom: 32px;
  }
  .common-link-list {
    display: flex;
  }
  .common-footer .common-service {
    margin-bottom: 20px;
  }
  .common-link-item h4 {
    margin-bottom: 36px;
    font-size: 16px;
    font-weight: 600;
  }
  .common-link-item h4 i.lyfFont {
    display: block;
    transition: all 0.3s ease;
  }
  .common-link-item h4.expanded i.lyfFont {
    transform: rotate(180deg);
  }
  .common-link-list a {
    color:#AAAAAA;
  }
  .common-service h4 {
    font-size: 18px;
    font-weight: 600;
  }
  .common-service p {
    color:#AAAAAA
  }

  .common-sidebar-links .common-sidebar-link-item:not(:first-child),.common-sidebar-links .sidebar-item-label {
    display: none;
  }
}

/* 公共分页样式 */
.common-page-nav {
  display: flex;
  gap: 26px;
  justify-content: flex-end;
  align-items: center;
}
.common-page-nav .pagination{
  margin-bottom: 0;
}
.common-page-nav .page-total {
  color: #666666;
  font-size:14px;
}
.common-page-nav .page-jump {
  display: flex;
  align-items: center;
}
.common-page-nav .jump-label {
  font-size:14px;
  color: #606266;
}
.jump-input {
  width: 56px;
  height: 32px;
  line-height: 32px;
  border-radius: 4px;
  margin: 0 8px;
  text-align: center;
  border: 1px solid #EEEEEE;
  color: #606266;
}
.common-page-nav .page-item {
  margin: 0 4px;
}

.common-page-nav .page-item .page-link {
  padding: 0;
  line-height: inherit;
  margin-left: 0;
  border:none;
  display: block;
  background: #F8F8F8;
  color: #606266;
  text-align: center;
  border-radius: 4px;
  line-height: 32px;
  width: 32px;
  height: 32px;
}
.common-page-nav .page-item.active .page-link,.common-page-nav .page-item .page-link:hover {
  color:#fff;
  background-color: var(--primary-color);
}
@media screen and (max-width: 1100px) {
  /* 移动端隐藏掉数字跳转页面、总页数 */
  .common-page-nav .page-item:not(.page-item-icon):not(.active),.common-page-nav .page-total {
    display: none;
  }
  .common-header .logo{
    width: 200px;
    height: 32px;
    object-fit: contain;
  }
}
   
@media screen and (max-width: 1300px) {
  .nav-item-jptime {
    display: none; 
  }
   
}
   
   /* 表格 */
.common-table-outer-container { 
	overflow-x: auto;
	width: 100%;
}
.common-table-box {            
	width: 100%;
	border-collapse: collapse;
}
.common-table-box th,
.common-table-box td {
	padding: 16px;
	border-bottom: 2px solid #F9F9F9;
	border-right: 2px solid #F9F9F9;
	text-align: center;
  vertical-align: middle;
}
.common-table-box th{
  border-radius: 8px 8px 0px 0px;
  background: #F9F9F9;

	font-family: San Francisco Text;
  font-size: 16px;
  font-weight: bold;
  line-height: 24px;
	letter-spacing: normal;
  color: #222222;
}
.common-table-box td{
  font-family: San Francisco Text;
  font-size: 14px;
  font-weight: normal;
  line-height: 22px;
  letter-spacing: normal;
  color: #666666;
}
.common-table-box th:last-child,
.common-table-box td:last-child {
	border-right: none;
}
   
   /* 溫馨提示 */
.common-warning-box{
  font-family: San Francisco Text;
  font-size: 14px;
  font-weight: normal;
  line-height: 22px;
  letter-spacing: normal;
  color: #222222;
}
.common-warning-box > p:first-child {
	font-size: 16px;
	line-height: 24px;
	letter-spacing: normal;
	color: #F74054;
}
.common-warning-box > p:last-child {
  margin-bottom: 0;
}
.common-warning-box ul {
  margin: 0;
  padding: 0;
  list-style: none;
}
.common-warning-box ul li {
	margin-bottom: 16px;
	display: block;
}
.common-warning-box ul li:last-child {
	margin-bottom: 0;
}
.common-warning-box ul li p{
	font-family: San Francisco Text;
	font-size: 14px;
	font-weight: normal;
	line-height: 22px;
	letter-spacing: normal;
	color: #222222;
}
.common-warning-box ul li p:last-child {
	margin-bottom: 0;
}
